"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
//@ts-nocheck
var react_1 = tslib_1.__importDefault(require("react"));
var icons_1 = require("@ant-design/icons");
var FixedRatioImage_1 = tslib_1.__importDefault(require("./UI/FixedRatioImage"));
var Image_1 = tslib_1.__importDefault(require("./UI/Image"));
var styled_1 = tslib_1.__importDefault(require("@emotion/styled"));
var antd_1 = require("antd");
var useBreakpoint_1 = tslib_1.__importDefault(require("antd/lib/grid/hooks/useBreakpoint"));
var Category = function (_a) {
    var category = _a.category, size = _a.size, children = _a.children;
    var breakpoints = (0, useBreakpoint_1["default"])();
    return (react_1["default"].createElement(CategoryItemWrapper, null,
        react_1["default"].createElement("div", { className: "text-center shadow-md hover:shadow-lg shop-category relative overflow-hidden" },
            !breakpoints.xs && (react_1["default"].createElement("div", { className: 'absolute category-name tracking-wider hover:bottom-10 left-4 text-white font-medium text-xs md:text-2xl uppercase', style: {
                    textShadow: '2px 3px 3px rgba(0, 0, 0, 0.4)'
                } }, category.name)),
            !breakpoints.xs && (react_1["default"].createElement(antd_1.Button, { className: 'absolute z-50 left-1 bottom-2 text-base font-bold font-title opacity-0 text-white flex items-center', style: {
                    textShadow: '2px 2px 2px rgba(0, 0, 0, 0.25)'
                }, type: 'link' },
                "SHOP NOW ",
                react_1["default"].createElement(icons_1.ArrowRightOutlined, { className: 'pb-1' }))),
            react_1["default"].createElement(FixedRatioImage_1["default"], { ratio: size === 'large' ? [8, 9] : [16, 9], additionHeight: size === 'large' ? 16 : 0 },
                react_1["default"].createElement(Image_1["default"], { data: category.image, className: "absolute top-0 w-full left-0", size: "thumbnail", height: "100%", alt: "Sample" })),
            breakpoints.xs && (react_1["default"].createElement("div", { className: 'absolute bottom-1 left-1 text-white text-xs font-medium text-left', style: {
                    textShadow: '2px 3px 3px rgba(0, 0, 0, 0.4)'
                } }, category.name)))));
};
exports["default"] = Category;
var CategoryItemWrapper = styled_1["default"].div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  .shop-category {\n    > div.category-name {\n      transition: all 0.3s ease-out;\n      bottom: 24px;\n      z-index: 51;\n    }\n    transition: all 0.3s ease-out;\n    border-bottom-color: rgba(41, 99, 126, 0.8);\n    border-top-color: rgba(41, 99, 126, 0.8);\n    .ant-btn {\n      z-index: 51;\n      .ant-btn-primary {\n        background: rgba(0, 0, 0, 0.75);\n        &:hover {\n          background: rgba(0, 0, 0, 1);\n          color: white;\n        }\n      }\n    }\n    > div {\n      transition: color 0.2s ease-out;\n    }\n    &:hover {\n      transform: scale(1.01);\n      > div.category-name {\n        bottom: 40px;\n      }\n      .ant-btn {\n        opacity: 1;\n      }\n      ::after {\n        background-color: rgba(0, 0, 0, 0);\n        background-image: linear-gradient(\n          rgba(0, 0, 0, 0) 60%,\n          rgba(0, 0, 0, 0.8) 100%\n        );\n      }\n    }\n    ::after {\n      position: absolute;\n      z-index: 50;\n      top: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      background-color: rgba(0, 0, 0, 0.15);\n      background-image: none;\n      opacity: 1;\n      transition: all 0.3s;\n      content: '';\n      pointer-events: none;\n    }\n  }\n"], ["\n  .shop-category {\n    > div.category-name {\n      transition: all 0.3s ease-out;\n      bottom: 24px;\n      z-index: 51;\n    }\n    transition: all 0.3s ease-out;\n    border-bottom-color: rgba(41, 99, 126, 0.8);\n    border-top-color: rgba(41, 99, 126, 0.8);\n    .ant-btn {\n      z-index: 51;\n      .ant-btn-primary {\n        background: rgba(0, 0, 0, 0.75);\n        &:hover {\n          background: rgba(0, 0, 0, 1);\n          color: white;\n        }\n      }\n    }\n    > div {\n      transition: color 0.2s ease-out;\n    }\n    &:hover {\n      transform: scale(1.01);\n      > div.category-name {\n        bottom: 40px;\n      }\n      .ant-btn {\n        opacity: 1;\n      }\n      ::after {\n        background-color: rgba(0, 0, 0, 0);\n        background-image: linear-gradient(\n          rgba(0, 0, 0, 0) 60%,\n          rgba(0, 0, 0, 0.8) 100%\n        );\n      }\n    }\n    ::after {\n      position: absolute;\n      z-index: 50;\n      top: 0;\n      left: 0;\n      width: 100%;\n      height: 100%;\n      background-color: rgba(0, 0, 0, 0.15);\n      background-image: none;\n      opacity: 1;\n      transition: all 0.3s;\n      content: '';\n      pointer-events: none;\n    }\n  }\n"])));
var templateObject_1;
//# sourceMappingURL=Category.js.map