import React, { ReactNode } from "react";
export interface Media {
    cdnLarge?: string;
    cdnMedium?: string;
    cdnOrigin?: string;
    cdnSmall?: string;
    contentType: string;
    credit: string;
    external?: boolean;
    filename: string;
    fileUrl?: string;
    guid: string;
    hasLink?: boolean;
    height?: number;
    id: string;
    originalFilename?: string;
    processing?: boolean;
    thumbnail?: Media;
    thumbnailCredit?: string;
    typeOfMedia: any;
    uploadDate: string | number;
    url?: string;
    width?: number;
}
interface ImageProps {
    width?: string;
    height?: string;
    data: Media | string;
    className?: string;
    isGrayScale?: boolean;
    size: 'thumbnail' | 'normal' | 'banner';
    style?: React.CSSProperties;
    onClick?: () => void;
    noImage?: ReactNode;
    alt?: string;
}
declare const Image: ({ width, height, data, isGrayScale, className, size, noImage, alt, style, ...rest }: ImageProps) => JSX.Element;
export default Image;
